#!/bin/sh
# The next line restarts using nmrWish \
exec nmrWish "$0" -- "$@"

set auto_path    "[split $env(TCLPATH) :] $auto_path"

if {$argc != 1} {
  error "Not enough variables: delnull.tcl name.tab"
}
set name [lindex $argv 0]

set sTab   [gdbRead table -in $name]
set delList ""

set cond    "!strcasecmp( ASS, '(Null)' ) || !strcasecmp( ASS, 'None' )"
set delList [gdbSelect -from $sTab -cond $cond]

puts "Deleting [llength $delList] entries."

foreach entry $delList \
   { 
    gdbDestroy $entry
   }

puts "Writing [gdbGetInfo $sTab -parms entryCount] entries."
 
gdbWrite $sTab "test.tab.new"
exit
